<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.flossom.common.core.mapper.SiteInfoTagMapper">

    <resultMap type="SiteInfoTag" id="SiteInfoTagResult">
        <result property="id"    column="id"    />
        <result property="siteId"    column="site_id"    />
        <result property="tagId"    column="tag_id"    />
        <result property="tagType"    column="tag_type"    />
        <result property="status"    column="status"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectSiteInfoTagVo">
        select id, site_id, tag_id, tag_type, status, create_by, create_time, update_by, update_time, remark from site_info_tag
    </sql>

    <select id="selectSiteInfoTagList" parameterType="SiteInfoTag" resultMap="SiteInfoTagResult">
        <include refid="selectSiteInfoTagVo"/>
        <where>
            <if test="siteId != null "> and site_id = #{siteId}</if>
            <if test="tagId != null "> and tag_id = #{tagId}</if>
            <if test="status != null "> and status = #{status}</if>
            <if test="tagType != null "> and tag_type = #{tagType}</if>
        </where>
    </select>

    <select id="selectSiteInfoTagById" parameterType="Long" resultMap="SiteInfoTagResult">
        <include refid="selectSiteInfoTagVo"/>
        where id = #{id}
    </select>

    <insert id="insertSiteInfoTag" parameterType="SiteInfoTag" useGeneratedKeys="true" keyProperty="id">
        insert into site_info_tag
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="siteId != null">site_id,</if>
            <if test="tagId != null">tag_id,</if>
            <if test="status != null">status,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
            <if test="tagType != null">tag_type,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="siteId != null">#{siteId},</if>
            <if test="tagId != null">#{tagId},</if>
            <if test="status != null">#{status},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
            <if test="tagType != null">#{tagType},</if>
         </trim>
    </insert>

    <update id="updateSiteInfoTag" parameterType="SiteInfoTag">
        update site_info_tag
        <trim prefix="SET" suffixOverrides=",">
            <if test="siteId != null">site_id = #{siteId},</if>
            <if test="tagId != null">tag_id = #{tagId},</if>
            <if test="status != null">status = #{status},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteSiteInfoTagById" parameterType="Long">
        delete from site_info_tag where id = #{id}
    </delete>

    <delete id="deleteSiteInfoTagByIds" parameterType="String">
        delete from site_info_tag where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

    <delete id="deleteSiteInfoTagBySiteId" parameterType="Long">
        delete from site_info_tag where site_id = #{id}
    </delete>

    <delete id="deleteSiteInfoTagByTagId" parameterType="Long">
        delete from site_info_tag where tag_id = #{tagId}
    </delete>

</mapper>
